diff --git python-zc-lockfile/python-zc-lockfile.spec python-zc-lockfile/python-zc-lockfile.spec.tmp
index 562c77f425..cf77af9d75 100644
--- python-zc-lockfile/python-zc-lockfile.spec
+++ python-zc-lockfile/python-zc-lockfile.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-zc-lockfile
 Version:        1.2.1
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Basic Inter-Process Locks
 Group:          Development/Languages
 License:        ZPLv2.1
@@ -31,15 +31,23 @@ BuildRequires:  python3-zope-testing
 BuildRequires:  python3-mock
 %endif
 
-%description
-The zc.lockfile package provides a basic portable implementation of
-interprocess locks using lock files. The purpose if not specifically
-to lock files, but to simply provide locks with an implementation based
-on file-locking primitives. Of course, these locks could be used to
-mediate access to other files. For example, the ZODB file storage
-implementation uses file locks to mediate access to file-storage
+%global _description\
+The zc.lockfile package provides a basic portable implementation of\
+interprocess locks using lock files. The purpose if not specifically\
+to lock files, but to simply provide locks with an implementation based\
+on file-locking primitives. Of course, these locks could be used to\
+mediate access to other files. For example, the ZODB file storage\
+implementation uses file locks to mediate access to file-storage\
 database files. The database files and lock file files are separate files.
 
+%description %_description
+
+%package -n python2-zc-lockfile
+Summary: %summary
+%{?python_provide:%python_provide python2-zc-lockfile}
+
+%description -n python2-zc-lockfile %_description
+
 %if 0%{with_python3}
 %package -n python3-zc-lockfile
 Summary:        Basic Inter-Process Locks
@@ -93,7 +101,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-zc-lockfile
 %doc src/zc/lockfile/*.txt
 %{python2_sitelib}/zc.lockfile-*.egg-info
 %{python2_sitelib}/zc.lockfile-*-nspkg.pth
@@ -110,6 +118,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-5
+- Python 2 subpackage renamed to python2-zc-lockfile
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zdaemon/python-zdaemon.spec python-zdaemon/python-zdaemon.spec.tmp
index 2cf63290ed..4f1a14300c 100644
--- python-zdaemon/python-zdaemon.spec
+++ python-zdaemon/python-zdaemon.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-zdaemon
 Version:        4.2.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python Daemon Process Control Library
 Group:          Development/Languages
 License:        ZPLv2.1
@@ -27,8 +27,6 @@ BuildRequires:  python-six
 BuildRequires:  python-zc-customdoctests
 BuildRequires:  python-mock
 
-Requires:       python-ZConfig
-
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
@@ -40,9 +38,18 @@ BuildRequires:  python3-zc-customdoctests
 BuildRequires:  python3-mock
 %endif
 
-%description
+%global _description\
 Daemon process control library and tools for Unix-bases systems.
 
+%description %_description
+
+%package -n python2-zdaemon
+Summary: %summary
+Requires:       python-ZConfig
+%{?python_provide:%python_provide python2-zdaemon}
+
+%description -n python2-zdaemon %_description
+
 %if 0%{?with_python3}
 %package -n python3-zdaemon
 Summary:        Python Daemon Process Control Library
@@ -96,7 +103,7 @@ popd
 export PYTHONPATH="$PYTHONPATH:%{buildroot}%{python2_sitelib}"
 %{__python2} build/lib/zdaemon/tests/tests.py
 
-%files
+%files -n python2-zdaemon
 %doc CHANGES.rst README.rst
 %{python2_sitelib}/zdaemon
 %{python2_sitelib}/zdaemon-%{version}-py?.?.egg-info
@@ -112,6 +119,10 @@ export PYTHONPATH="$PYTHONPATH:%{buildroot}%{python2_sitelib}"
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.2.0-3
+- Python 2 subpackage renamed to python2-zdaemon
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zope-deprecation/python-zope-deprecation.spec python-zope-deprecation/python-zope-deprecation.spec.tmp
index a9bec8f5b3..358b5e2a5a 100644
--- python-zope-deprecation/python-zope-deprecation.spec
+++ python-zope-deprecation/python-zope-deprecation.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-zope-deprecation
 Version:        4.1.1
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Zope 3 Deprecation Infrastructure
 
 Group:          Development/Libraries
@@ -25,10 +25,18 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-This package provides a simple function called 'deprecated(names, reason)' to
+%global _description\
+This package provides a simple function called 'deprecated(names, reason)' to\
 deprecate the previously mentioned Python objects.
 
+%description %_description
+
+%package -n python2-zope-deprecation
+Summary: %summary
+%{?python_provide:%python_provide python2-zope-deprecation}
+
+%description -n python2-zope-deprecation %_description
+
 %if 0%{?with_python3}
 %package -n python3-zope-deprecation
 Summary:        Zope 3 Deprecation Infrastructure
@@ -78,7 +86,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-zope-deprecation
 %doc README.rst LICENSE.txt
 %{python_sitelib}/zope/deprecation/
 %{python_sitelib}/%{modname}-%{version}-*
@@ -92,6 +100,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.1.1-13
+- Python 2 subpackage renamed to python2-zope-deprecation
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-zope-sqlalchemy/python-zope-sqlalchemy.spec python-zope-sqlalchemy/python-zope-sqlalchemy.spec.tmp
index 1b9f71f62a..949ccd9547 100644
--- python-zope-sqlalchemy/python-zope-sqlalchemy.spec
+++ python-zope-sqlalchemy/python-zope-sqlalchemy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-zope-sqlalchemy
 Version:        0.7.7
-Release:        4%{?dist}
+Release:        5%{?dist}
 BuildArch:      noarch
 
 License:        ZPLv2.1
@@ -17,10 +17,6 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-zope-testing
 
-Requires:       python-transaction
-Requires:       python-sqlalchemy >= 0.5.1
-Requires:       python-zope-interface >= 3.6.0
-
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
@@ -28,12 +24,23 @@ BuildRequires:      python3-zope-testing
 %endif
 
 
-%description
-The aim of this package is to unify the plethora of existing packages
-integrating SQLAlchemy with Zope's transaction management. As such it seeks
-only to provide a data manager and makes no attempt to define a zopeish way to
+%global _description\
+The aim of this package is to unify the plethora of existing packages\
+integrating SQLAlchemy with Zope's transaction management. As such it seeks\
+only to provide a data manager and makes no attempt to define a zopeish way to\
 configure engines.
 
+%description %_description
+
+%package -n python2-zope-sqlalchemy
+Summary: %summary
+Requires:       python-zope-interface >= 3.6.0
+Requires:       python-sqlalchemy >= 0.5.1
+Requires:       python-transaction
+%{?python_provide:%python_provide python2-zope-sqlalchemy}
+
+%description -n python2-zope-sqlalchemy %_description
+
 %if 0%{?with_python3}
 %package -n python3-zope-sqlalchemy
 Summary:   Minimal Zope/SQLAlchemy transaction integration with Python 3 support
@@ -79,7 +86,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-zope-sqlalchemy
 %doc src/zope/sqlalchemy/README.txt
 %doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt
 # Co-own %%{python_sitelib}/zope/
@@ -97,6 +104,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.7-5
+- Python 2 subpackage renamed to python2-zope-sqlalchemy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ZSI/python-ZSI.spec python-ZSI/python-ZSI.spec.tmp
index a9cc9104d8..77bcc3c4ae 100644
--- python-ZSI/python-ZSI.spec
+++ python-ZSI/python-ZSI.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-ZSI
 Version:        2.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Zolera SOAP Infrastructure
 Group:          Development/Languages
 # to obtain some license information have a look at ZSI/__init__.py file
@@ -12,14 +12,22 @@ Source0:	http://downloads.sourceforge.net/project/pywebsvcs/ZSI/ZSI-%{version}_a
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel python-setuptools
-Requires:       python-setuptools
 
-%description
-The Zolera SOAP Infrastructure provides libraries for developing web services
-using the python programming language. The libraries implement the various
-protocols used when writing web services including SOAP, WSDL, and other
+%global _description\
+The Zolera SOAP Infrastructure provides libraries for developing web services\
+using the python programming language. The libraries implement the various\
+protocols used when writing web services including SOAP, WSDL, and other\
 related protocols.
 
+%description %_description
+
+%package -n python2-zsi
+Summary: %summary
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-zsi}
+
+%description -n python2-zsi %_description
+
 %prep
 %setup -q -n ZSI-%{version}-a1
 
@@ -79,7 +87,7 @@ done
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-zsi
 %defattr(-,root,root,-)
 # we need png's for html's to be more readable
 %doc CHANGES README samples doc/examples doc/*.html doc/*.png doc/*.css
@@ -89,6 +97,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-12
+- Python 2 subpackage renamed to python2-zsi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pytz/pytz.spec pytz/pytz.spec.tmp
index 9902dfd346..c057c37d08 100644
--- pytz/pytz.spec
+++ pytz/pytz.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           pytz
 Version:        2017.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        World Timezone Definitions for Python
 
 Group:          Development/Languages
@@ -19,18 +19,27 @@ Patch0:         pytz-zoneinfo.patch
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  pytest
-Requires:       tzdata
-Provides:       python2-pytz = %{version}-%{release}
-
-%description
-pytz brings the Olson tz database into Python. This library allows accurate
-and cross platform timezone calculations using Python 2.3 or higher. It
-also solves the issue of ambiguous times at the end of daylight savings,
-which you can read more about in the Python Library Reference
-(datetime.tzinfo).
 
+%global _description\
+pytz brings the Olson tz database into Python. This library allows accurate\
+and cross platform timezone calculations using Python 2.3 or higher. It\
+also solves the issue of ambiguous times at the end of daylight savings,\
+which you can read more about in the Python Library Reference\
+(datetime.tzinfo).\
+\
 Almost all (over 540) of the Olson timezones are supported.
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+Requires:       tzdata
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pytz = %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{name}
 Summary:        World Timezone Definitions for Python
@@ -80,7 +89,7 @@ PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
 %endif
 
 
-%files
+%files -n python2-%{name}
 %license LICENSE.txt
 %doc CHANGES.txt README.txt
 %{python2_sitelib}/pytz/
@@ -96,6 +105,10 @@ PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2017.2-3
+- Python 2 subpackage renamed to python2-pytz
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2017.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyusb/pyusb.spec pyusb/pyusb.spec.tmp
index b182363f0b..1a6a7ac8ea 100644
--- pyusb/pyusb.spec
+++ pyusb/pyusb.spec.tmp
@@ -7,7 +7,7 @@
 
 Name: pyusb
 Version: 1.0.0
-Release: 5%{?dist}
+Release: 6%{?dist}
 Summary: Python bindings for libusb
 Group: Development/Languages
 License: BSD	
@@ -20,10 +20,20 @@ BuildRequires:  python3-devel
 BuildRequires: libusb-devel
 BuildArch: noarch
 
-%description
-PyUSB provides easy USB access to python. The module contains classes and 
+%global _description\
+PyUSB provides easy USB access to python. The module contains classes and\
 methods to support most USB operations.
 
+%description %_description
+
+%package -n python2-pyusb
+Summary: %summary
+%{?python_provide:%python_provide python2-pyusb}
+# Remove before F30
+Provides: pyusb = %{version}-%{release}
+
+%description -n python2-pyusb %_description
+
 %if 0%{?with_python3}
 %package -n python3-pyusb
 Summary:        Python 3 bindings for libusb
@@ -65,7 +75,7 @@ pushd %{py3dir}
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-pyusb
 %doc README.rst LICENSE
 %{python_sitelib}/*
 
@@ -76,6 +86,10 @@ pushd %{py3dir}
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-6
+- Python 2 subpackage renamed to python2-pyusb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyxattr/pyxattr.spec pyxattr/pyxattr.spec.tmp
index 7ded44a6e1..8630cd70f3 100644
--- pyxattr/pyxattr.spec
+++ pyxattr/pyxattr.spec.tmp
@@ -2,7 +2,7 @@
 Name:		pyxattr
 Summary:	Extended attributes library wrapper for Python
 Version:	0.5.3
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	LGPLv2+
 Group:		Development/Libraries
 URL:		http://pyxattr.k1024.org/
@@ -14,10 +14,20 @@ BuildRequires:	python2-devel, python-setuptools
 BuildRequires:	python3-devel, python3-setuptools
 %endif # with_python3
 
-%description
-Python extension module wrapper for libattr. It allows to query, list,
+%global _description\
+Python extension module wrapper for libattr. It allows to query, list,\
 add and remove extended attributes from files and directories.
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pyxattr = %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %if %{?with_python3}
 %package -n python3-%{name}
 Summary:	Extended attributes library wrapper for Python 3
@@ -68,7 +78,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-%{name}
 %defattr(0644,root,root,0755)
 %{python2_sitearch}/xattr.so
 %{python2_sitearch}/*egg-info
@@ -87,6 +97,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.3-12
+- Python 2 subpackage renamed to python2-pyxattr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git PyYAML/PyYAML.spec PyYAML/PyYAML.spec.tmp
index 7660d80137..55738cb741 100644
--- PyYAML/PyYAML.spec
+++ PyYAML/PyYAML.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           PyYAML
 Version:        3.12
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        YAML parser and emitter for Python
 
 Group:          Development/Libraries
@@ -16,28 +16,38 @@ Source0:        http://pyyaml.org/download/pyyaml/%{name}-%{version}.tar.gz
 BuildRequires:  python-devel, python-setuptools, libyaml-devel
 BuildRequires:  Cython
 BuildRequires:  libyaml-devel
-Provides:       python-yaml = %{version}-%{release}
-Provides:       python-yaml%{?_isa} = %{version}-%{release}
-Provides:       python2-yaml = %{version}-%{release}
-Provides:       python2-yaml%{?_isa} = %{version}-%{release}
 %if 0%{?with_python3}
 BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 BuildRequires: python3-Cython
 %endif
 
-%description
-YAML is a data serialization format designed for human readability and
-interaction with scripting languages.  PyYAML is a YAML parser and
-emitter for Python.
+%global _description\
+YAML is a data serialization format designed for human readability and\
+interaction with scripting languages.  PyYAML is a YAML parser and\
+emitter for Python.\
+\
+PyYAML features a complete YAML 1.1 parser, Unicode support, pickle\
+support, capable extension API, and sensible error messages.  PyYAML\
+supports standard YAML tags and provides Python-specific tags that\
+allow to represent an arbitrary Python object.\
+\
+PyYAML is applicable for a broad range of tasks from complex\
+configuration files to object serialization and persistance.
 
-PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
-support, capable extension API, and sensible error messages.  PyYAML
-supports standard YAML tags and provides Python-specific tags that
-allow to represent an arbitrary Python object.
+%description %_description
 
-PyYAML is applicable for a broad range of tasks from complex
-configuration files to object serialization and persistance.
+%package -n python2-pyyaml
+Summary: %summary
+Provides:       python2-yaml%{?_isa} = %{version}-%{release}
+Provides:       python2-yaml = %{version}-%{release}
+Provides:       python-yaml%{?_isa} = %{version}-%{release}
+Provides:       python-yaml = %{version}-%{release}
+%{?python_provide:%python_provide python2-pyyaml}
+# Remove before F30
+Provides: PyYAML = %{version}-%{release}
+
+%description -n python2-pyyaml %_description
 
 %if 0%{?with_python3}
 %package -n python3-PyYAML
@@ -105,7 +115,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-pyyaml
 %{!?_licensedir:%global license %%doc}
 %license LICENSE
 %doc CHANGES PKG-INFO README examples
@@ -121,6 +131,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.12-5
+- Python 2 subpackage renamed to python2-pyyaml
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git qgis/qgis.spec qgis/qgis.spec.tmp
index 3dbb776f9f..972325e349 100644
--- qgis/qgis.spec
+++ qgis/qgis.spec.tmp
@@ -16,7 +16,7 @@
 
 Name:           qgis
 Version:        2.18.11
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A user friendly Open Source Geographic Information System
 Group:          Applications/Engineering
 
@@ -145,7 +145,10 @@ Requires:       grass%{?_isa} = %{grass_version}
 %description grass
 GRASS plugin for QGIS required to interface with the GRASS system.
 
-%package python
+%package -n python2-qgis
+%{?python_provide:%python_provide python2-qgis}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python integration and plug-ins for QGIS
 Group:          Applications/Engineering
 Requires:       %{name}%{?_isa} = %{version}-%{release}
@@ -162,7 +165,7 @@ Requires:       PyYAML
 Requires:       qscintilla-python
 %{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}
 
-%description python
+%description -n python2-qgis
 Python integration and plug-ins for QGIS.
 
 %package server
@@ -339,9 +342,9 @@ update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
 
 %postun grass -p /sbin/ldconfig
 
-%post python -p /sbin/ldconfig
+%post -n python2-qgis -p /sbin/ldconfig
 
-%postun python -p /sbin/ldconfig
+%postun -n python2-qgis -p /sbin/ldconfig
 
 %files -f %{name}.lang
 %doc BUGS NEWS Exception_to_GPL_for_Qt.txt ChangeLog.gz
@@ -391,7 +394,7 @@ update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
 %{_libdir}/%{name}/grass/
 %{_datadir}/%{name}/grass/
 
-%files python
+%files -n python2-qgis
 %{_libdir}/libqgispython.so.*
 %{_datadir}/%{name}/python/
 %{python_sitearch}/%{name}/
@@ -409,6 +412,10 @@ update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.18.11-3
+- Python 2 subpackage renamed to python2-qgis
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.11-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git qpid-proton/qpid-proton.spec qpid-proton/qpid-proton.spec.tmp
index 5d3964d707..0b428aef6a 100644
--- qpid-proton/qpid-proton.spec
+++ qpid-proton/qpid-proton.spec.tmp
@@ -17,7 +17,7 @@
 
 Name:           qpid-proton
 Version:        0.17.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Group:          System Environment/Libraries
 Summary:        A high performance, lightweight messaging library
 
@@ -202,17 +202,18 @@ Obsoletes: qpid-proton-cpp-devel-docs
 %doc %{proton_datadir}/examples/cpp/*.dox
 
 
-%package -n python-qpid-proton
+%package -n python2-qpid-proton
+%{?python_provide:%python_provide python2-qpid-proton}
 Group:    System Environment/Libraries
 Summary:  Python language bindings for the Qpid Proton messaging framework
 
 Requires: qpid-proton-c%{?_isa} = %{version}-%{release}
 Requires: python
 
-%description -n python-qpid-proton
+%description -n python2-qpid-proton
 %{summary}.
 
-%files -n python-qpid-proton
+%files -n python2-qpid-proton
 %defattr(-,root,root,-)
 %{python_sitearch}/_cproton.so
 %{python_sitearch}/cproton.*
@@ -230,7 +231,7 @@ Requires: qpid-proton-c%{?_isa} = %{version}-%{release}
 %description -n python3-qpid-proton
 %{summary}.
 
-%files -n python-qpid-proton
+%files -n python2-qpid-proton
 %defattr(-,root,root,-)
 %{python2_sitearch}/*
 
@@ -398,6 +399,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.17.0-7
+- Python 2 subpackage renamed to python2-qpid-proton
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git rekall/rekall.spec rekall/rekall.spec.tmp
index cfec914e0c..1414d35832 100644
--- rekall/rekall.spec
+++ rekall/rekall.spec.tmp
@@ -3,7 +3,7 @@
 Name:		rekall
 Summary:	A KDE database front-end application
 Version:	2.4.6
-Release:	37%{?dist}
+Release:	38%{?dist}
 Group:		Development/Tools
 License:	GPLv2
 URL:		http://kde-apps.org/content/show.php?content=9915
@@ -95,12 +95,15 @@ Requires: %{name} = %{version}-%{release}
 %description postgresql
 Driver to add PostgreSQL support to Rekall.
 
-%package python
+%package -n python2-rekall
+%{?python_provide:%python_provide python2-rekall}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Rekall Python support
 Group: System Environment/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-rekall
 Python components and scripts for Rekall.
 
 %package sqlite
@@ -240,9 +243,9 @@ fi
 
 %postun postgresql -p /sbin/ldconfig
 
-%post python -p /sbin/ldconfig
+%post -n python2-rekall -p /sbin/ldconfig
 
-%postun python -p /sbin/ldconfig
+%postun -n python2-rekall -p /sbin/ldconfig
 
 %post sqlite -p /sbin/ldconfig
 
@@ -345,7 +348,7 @@ fi
 %{_datadir}/apps/rekallqt/services/rekall_driver_pgsql.desktop
 %{_libdir}/librekallqt_driver_pgsql.so*
 
-%files python
+%files -n python2-rekall
 %defattr(-, root, root, 0755)
 %dir %{_datadir}/apps/rekallqt/stock/component/py
 %{_datadir}/apps/rekallqt/stock/component/py/*
@@ -361,6 +364,10 @@ fi
 %{_libdir}/librekallqt_driver_sqlite3.so*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.6-38
+- Python 2 subpackage renamed to python2-rekall
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.6-37
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git remctl/remctl.spec remctl/remctl.spec.tmp
index b0ed792ce6..2c679fe954 100644
--- remctl/remctl.spec
+++ remctl/remctl.spec.tmp
@@ -1,6 +1,6 @@
 Name: remctl
 Version: 3.13
-Release: 5%{?dist}
+Release: 6%{?dist}
 Summary: Client/server for Kerberos-authenticated command execution
 
 Group: Applications/Internet
@@ -103,13 +103,16 @@ remctl implements a client/server protocol for running single commands
 on a remote host using Kerberos v5 authentication. If you want to use
 remctl's PHP bindings, you need to install this package.
 
-%package python
+%package -n python2-remctl
+%{?python_provide:%python_provide python2-remctl}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python interface to remctl
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 Requires: python
 
-%description python
+%description -n python2-remctl
 remctl implements a client/server protocol for running single commands
 on a remote host using Kerberos v5 authentication. If you want to use
 remctl's Python bindings, you need to install this package.
@@ -232,7 +235,7 @@ done
 %{php_extdir}/remctl.so
 %config(noreplace) %{php_inidir}/%{ini_name}
 
-%files python
+%files -n python2-remctl
 %doc README
 %{python_sitearch}/_remctl.so
 %{python_sitearch}/remctl.py*
@@ -244,6 +247,10 @@ done
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.13-6
+- Python 2 subpackage renamed to python2-remctl
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.13-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git rhnlib/rhnlib.spec rhnlib/rhnlib.spec.tmp
index 62da1f8122..d6debae80f 100644
--- rhnlib/rhnlib.spec
+++ rhnlib/rhnlib.spec.tmp
@@ -5,7 +5,7 @@ Name: rhnlib
 URL:     https://fedorahosted.org/spacewalk
 Source0: https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
 Version: 2.6.3
-Release: 4%{?dist}
+Release: 5%{?dist}
 
 Group: Development/Libraries
 License: GPLv2
@@ -16,18 +16,27 @@ BuildArch: noarch
 %endif
 BuildRequires: python-devel
 
-Requires: pyOpenSSL 
-Conflicts: rhncfg < 5.10.45
-Conflicts: spacewalk-proxy-installer < 1.3.2
-Conflicts: rhn-client-tools < 1.3.3
-Conflicts: rhn-custom-info < 5.4.7
-Conflicts: rhnpush < 5.5.10
-Conflicts: rhnclient < 0.10
-Conflicts: spacewalk-proxy < 1.3.6
+%global _description\
+rhnlib is a collection of python modules used by the Spacewalk (http://spacewalk.redhat.com) software.\
 
-%description
-rhnlib is a collection of python modules used by the Spacewalk (http://spacewalk.redhat.com) software.
 
+%description %_description
+
+%package -n python2-rhnlib
+Summary: %summary
+Conflicts: spacewalk-proxy < 1.3.6
+Conflicts: rhnclient < 0.10
+Conflicts: rhnpush < 5.5.10
+Conflicts: rhn-custom-info < 5.4.7
+Conflicts: rhn-client-tools < 1.3.3
+Conflicts: spacewalk-proxy-installer < 1.3.2
+Conflicts: rhncfg < 5.10.45
+Requires: pyOpenSSL
+%{?python_provide:%python_provide python2-rhnlib}
+# Remove before F30
+Provides: rhnlib = %{version}-%{release}
+
+%description -n python2-rhnlib %_description
 
 %if 0%{?fedora}
 %package -n python3-rhnlib
@@ -74,7 +83,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-rhnlib
 %doc ChangeLog COPYING README TODO
 %{python_sitelib}/*
 
@@ -85,6 +94,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6.3-5
+- Python 2 subpackage renamed to python2-rhnlib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git rrdtool/rrdtool.spec rrdtool/rrdtool.spec.tmp
index 9037a3c053..f489f7a759 100644
--- rrdtool/rrdtool.spec
+++ rrdtool/rrdtool.spec.tmp
@@ -17,7 +17,7 @@
 Summary: Round Robin Database Tool to store and display time-series data
 Name: rrdtool
 Version: 1.7.0
-Release: 3%{?dist}
+Release: 4%{?dist}
 License: GPLv2+ with exceptions
 Group: Applications/Databases
 URL: http://oss.oetiker.ch/rrdtool/
@@ -88,7 +88,10 @@ The Perl RRDtool bindings
 # give a default value to handle parsing in cases when python is not present:
 %{!?rrd_python_version: %global rrd_python_version %(%{__python} -c 'import sys; print sys.version.split(" ")[0]' || echo "3.14")}
 
-%package python
+%package -n python2-rrdtool
+%{?python_provide:%python_provide python2-rrdtool}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python RRDtool bindings
 Group: Development/Languages
 BuildRequires: python-devel
@@ -97,7 +100,7 @@ Requires: %{name} = %{version}-%{release}
 Obsoletes: python-%{name} < %{version}-%{release}
 Provides: python-%{name} = %{version}-%{release}
 
-%description python
+%description -n python2-rrdtool
 Python RRDtool bindings.
 %endif
 
@@ -355,7 +358,7 @@ LD_LIBRARY_PATH=%{buildroot}%{_libdir} php -n \
 %attr(0755,root,root) %{perl_vendorarch}/auto/RRDs/
 
 %if %{with_python}
-%files python
+%files -n python2-rrdtool
 %doc bindings/python/COPYING bindings/python/README.md
 %{python_sitearch}/rrdtool.so
 %{python_sitearch}/rrdtool-*.egg-info
@@ -389,6 +392,10 @@ LD_LIBRARY_PATH=%{buildroot}%{_libdir} php -n \
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.0-4
+- Python 2 subpackage renamed to python2-rrdtool
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
